CREATE TABLE fv_bc_control_types (
    CONTROL_TYPE_ID                NUMBER(18, 0) ,
    LEDGER_ID                      NUMBER(18, 0)     NOT NULL,
    BUDGET_LEVEL_ID                NUMBER(18, 0)     NOT NULL,
    CONTROL_TYPE_NAME              VARCHAR2(200)     NOT NULL,
    CONTROL_TYPE_DESCRIPTION       VARCHAR2(960) ,
    CONTROL_LEVEL_CODE             VARCHAR2(120) ,
    PARENT_CONTROL_TYPE_ID         NUMBER(18, 0) ,
    BUDGET_MANAGER_ID              NUMBER(18, 0)     NOT NULL,
    ANTICIPATED_TYPE_FLAG          VARCHAR2(4)       NOT NULL,
    TOLERANCE_PERCENT              NUMBER        ,
    TOLERANCE_AMOUNT               NUMBER        ,
    ALLOW_OVERRIDE_FLAG            VARCHAR2(4)   ,
    STATUS_CODE                    VARCHAR2(120)     NOT NULL,
    CONVERSION_RATE_TYPE_CODE      VARCHAR2(120)     NOT NULL,
    DISTRIBUTION_BUDGET_CTRL_ID    NUMBER(18, 0) ,
    CONSUMPTION_BUDGET_CTRL_ID     NUMBER(18, 0) ,
    BUDGET_CHART_OF_ACCOUNTS_ID    NUMBER(18, 0) ,
    GL_CHART_OF_ACCOUNTS_ID        NUMBER(18, 0) ,
    BUDGET_CATEGORY_CODE           VARCHAR2(120)     NOT NULL,
    DEFAULT_TRANSACTION_TYPE_ID    NUMBER(18, 0) ,
    CLOSING_TRANSACTION_TYPE_ID    NUMBER(18, 0)     NOT NULL,
    BUDGET_ACCOUNT                 VARCHAR2(100) ,
    BUDGET_DISTRIBUTION_ACCOUNT    VARCHAR2(100) ,
    DISTRIBUTE_BUDGET_FLAG         VARCHAR2(4)   ,
    CONSUME_BUDGET_FLAG            VARCHAR2(4)   ,
    PROJECT_ID                     NUMBER(18, 0) ,
    CURRENCY_CODE                  VARCHAR2(60)  ,
    ATTRIBUTE1                     VARCHAR2(600) ,
    ATTRIBUTE2                     VARCHAR2(600) ,
    ATTRIBUTE3                     VARCHAR2(600) ,
    ATTRIBUTE4                     VARCHAR2(600) ,
    ATTRIBUTE5                     VARCHAR2(600) ,
    ATTRIBUTE6                     VARCHAR2(600) ,
    ATTRIBUTE7                     VARCHAR2(600) ,
    ATTRIBUTE8                     VARCHAR2(600) ,
    ATTRIBUTE9                     VARCHAR2(600) ,
    ATTRIBUTE10                    VARCHAR2(600) ,
    ATTRIBUTE11                    VARCHAR2(600) ,
    ATTRIBUTE12                    VARCHAR2(600) ,
    ATTRIBUTE13                    VARCHAR2(600) ,
    ATTRIBUTE14                    VARCHAR2(600) ,
    ATTRIBUTE15                    VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1              NUMBER        ,
    ATTRIBUTE_NUMBER2              NUMBER        ,
    ATTRIBUTE_NUMBER3              NUMBER        ,
    ATTRIBUTE_NUMBER4              NUMBER        ,
    ATTRIBUTE_NUMBER5              NUMBER        ,
    ATTRIBUTE_DATE1                DATE          ,
    ATTRIBUTE_DATE2                DATE          ,
    ATTRIBUTE_DATE3                DATE          ,
    ATTRIBUTE_DATE4                DATE          ,
    ATTRIBUTE_DATE5                DATE          ,
    ATTRIBUTE_CATEGORY             VARCHAR2(600) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    SUBMITTED_BY_REQUEST_ID        NUMBER(18, 0) ,
    ERROR_CODE                     VARCHAR2(120) ,
    ERROR_MESSAGE                  VARCHAR2(4000),
    CONTROL_TYPE_ID                NUMBER(18, 0) ,
    LEDGER_ID                      NUMBER(18, 0)     NOT NULL,
    BUDGET_LEVEL_ID                NUMBER(18, 0)     NOT NULL,
    CONTROL_TYPE_NAME              VARCHAR2(200)     NOT NULL,
    CONTROL_TYPE_DESCRIPTION       VARCHAR2(960) ,
    CONTROL_LEVEL_CODE             VARCHAR2(120) ,
    PARENT_CONTROL_TYPE_ID         NUMBER(18, 0) ,
    BUDGET_MANAGER_ID              NUMBER(18, 0)     NOT NULL,
    ANTICIPATED_TYPE_FLAG          VARCHAR2(4)       NOT NULL,
    TOLERANCE_PERCENT              NUMBER        ,
    TOLERANCE_AMOUNT               NUMBER        ,
    ALLOW_OVERRIDE_FLAG            VARCHAR2(4)   ,
    STATUS_CODE                    VARCHAR2(120)     NOT NULL,
    CONVERSION_RATE_TYPE_CODE      VARCHAR2(120)     NOT NULL,
    DISTRIBUTION_BUDGET_CTRL_ID    NUMBER(18, 0) ,
    CONSUMPTION_BUDGET_CTRL_ID     NUMBER(18, 0) ,
    BUDGET_CHART_OF_ACCOUNTS_ID    NUMBER(18, 0) ,
    GL_CHART_OF_ACCOUNTS_ID        NUMBER(18, 0) ,
    ATTRIBUTE1                     VARCHAR2(600) ,
    ATTRIBUTE2                     VARCHAR2(600) ,
    ATTRIBUTE3                     VARCHAR2(600) ,
    ATTRIBUTE4                     VARCHAR2(600) ,
    ATTRIBUTE5                     VARCHAR2(600) ,
    ATTRIBUTE6                     VARCHAR2(600) ,
    ATTRIBUTE7                     VARCHAR2(600) ,
    ATTRIBUTE8                     VARCHAR2(600) ,
    ATTRIBUTE9                     VARCHAR2(600) ,
    ATTRIBUTE10                    VARCHAR2(600) ,
    ATTRIBUTE11                    VARCHAR2(600) ,
    ATTRIBUTE12                    VARCHAR2(600) ,
    ATTRIBUTE13                    VARCHAR2(600) ,
    ATTRIBUTE14                    VARCHAR2(600) ,
    ATTRIBUTE15                    VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1              NUMBER        ,
    ATTRIBUTE_NUMBER2              NUMBER        ,
    ATTRIBUTE_NUMBER3              NUMBER        ,
    ATTRIBUTE_NUMBER4              NUMBER        ,
    ATTRIBUTE_NUMBER5              NUMBER        ,
    ATTRIBUTE_DATE1                DATE          ,
    ATTRIBUTE_DATE2                DATE          ,
    ATTRIBUTE_DATE3                DATE          ,
    ATTRIBUTE_DATE4                DATE          ,
    ATTRIBUTE_DATE5                DATE          ,
    ATTRIBUTE_CATEGORY             VARCHAR2(600) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    BUDGET_CATEGORY_CODE           VARCHAR2(120)     NOT NULL,
    DEFAULT_TRANSACTION_TYPE_ID    NUMBER(18, 0) ,
    CLOSING_TRANSACTION_TYPE_ID    NUMBER(18, 0)     NOT NULL,
    BUDGET_ACCOUNT                 VARCHAR2(100) ,
    BUDGET_DISTRIBUTION_ACCOUNT    VARCHAR2(100) ,
    DISTRIBUTE_BUDGET_FLAG         VARCHAR2(4)   ,
    CONSUME_BUDGET_FLAG            VARCHAR2(4)   ,
    PROJECT_ID                     NUMBER(18, 0) ,
    CURRENCY_CODE                  VARCHAR2(60)  ,
    SUBMITTED_BY_REQUEST_ID        NUMBER(18, 0) ,
    ERROR_CODE                     VARCHAR2(120) ,
    ERROR_MESSAGE                  VARCHAR2(4000),
    CONSTRAINT pk_fv_bc_control_types PRIMARY KEY (CONTROL_TYPE_ID, CONTROL_TYPE_ID)
);
